Skip to main content

Class AggregateStatisticsByRangeRequest.Options

java.lang.Object
com.gpudb.protocol.AggregateStatisticsByRangeRequest.Options

public static final class AggregateStatisticsByRangeRequest.Options extends Object
A set of string constants for the AggregateStatisticsByRangeRequest parameter options.

Optional parameters.

  • Field Details

    • ADDITIONAL_COLUMN_NAMES

      public static final String ADDITIONAL_COLUMN_NAMES
      A list of comma separated value-column names over which statistics can be accumulated along with the primary value_column.
    • BIN_VALUES

      public static final String BIN_VALUES
      A list of comma separated binning-column values. Values that match the nth bin_values value are placed in the nth bin.
    • WEIGHT_COLUMN_NAME

      public static final String WEIGHT_COLUMN_NAME
      Name of the column used as weighting column for the weighted_average statistic.
    • ORDER_COLUMN_NAME

      public static final String ORDER_COLUMN_NAME
      Name of the column used for candlestick charting techniques.